Bug 275041 - Syslogd ignores additional socket file, only references /dev/log
Syslogd ignores additional socket file, only references /dev/log
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sysklogd (Show other bugs)
5.2
All All
medium Severity medium
: ---
: ---
Assigned To: Peter Vrabec
Brian Brock
:
Depends On: 275031
Blocks: 246139 274971 296411
  Show dependency treegraph
 
Reported: 2007-09-03 05:25 EDT by Jose Plans
Modified: 2013-04-12 15:20 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2008-0043
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-16 10:54:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jose Plans 2007-09-03 05:25:04 EDT
+++ This bug was initially created as a clone of Bug #275031 +++

Description of problem:
Syslogd ignores additional socket files as this one gets overwriten in :
--
                for (i = 0; i < nfunix; i++) {
                    if ((fd = funix[i]) != -1 && FD_ISSET(fd, &readfds)) {
                        memset(line, '\0', sizeof(line));
--->                    i = recv(fd, line, MAXLINE - 2, 0);
--
i gets overwriten and therefore corrupts the counter not allowing the next UNIX
sockets to be audited.

How reproducible:
Always

Steps to Reproduce:

1.Configure /etc/sysconfig/syslog to add new sockets,

 SYSLOGD_OPTIONS="-m 0 -a /var/log/newsock"

2.Restart syslog daemon.

3.Write data to var/log/newsock socket file.

Actual results:
Use only default socket file (/dev/log), ignores additional new socket file.

Expected results:
Use additional and default socket file.

Additional info:
Patch provided and tested by the customer.

Enviroment:
RHEL4U3
syslogd-1.4.1-26.EL

-- Additional comment from jplans@redhat.com on 2007-09-03 05:20 EST --
Created an attachment (id=185161)
sysklogd-syslogd_unixaf.patch
Comment 8 errata-xmlrpc 2008-01-16 10:54:16 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0043.html

Note You need to log in before you can comment on or make changes to this bug.